#!/bin/sh

IMAGE_FILE=./image_file
MNT_DIR=./mnt
OLD_DIR=./old

dd if=/dev/zero of=$IMAGE_FILE bs=4096 count=4096 2> /dev/null
losetup /dev/loop1 $IMAGE_FILE
mkdosfs -F 32 /dev/loop1 > /dev/null

mkdir $MNT_DIR
mount /dev/loop1 $MNT_DIR

mkdir $OLD_DIR

# rename $OLD_DIR to the $MNT_DIR when $MNT_DIR is a mount point
mv $OLD_DIR $MNT_DIR -T

umount $MNT_DIR

# now will got BUG
rmdir $MNT_DIR


